<odoo>
    <data>
        <!-- explicit list view definition -->

        <record model="ir.ui.view" id="view_variables_duration_form">
            <field name="name">variables.duration.form</field>
            <field name="model">variables.duration</field>
            <field name="arch" type="xml">
                <form>
                    <sheet>
                        <group>
                            <group>
                                <field name="duration_period"/>
                                <field name="duration_start"/>
                                <field name="duration_end"/>
                            </group>
                            <group>
                                <field name="variable_id"/>
                            </group>
                        </group>
                    </sheet>

                </form>
            </field>
        </record>

        <record model="ir.ui.view" id="view_variables_duration_tree">
            <field name="name">variables.duration.tree</field>
            <field name="model">variables.duration</field>
            <field name="arch" type="xml">
                <tree>
                    <field name="duration_period"/>
                    <field name="duration_start"/>
                    <field name="duration_end"/>
                    <field name="variable_id"/>
                </tree>
            </field>
        </record>

        <record id="action_variables_duration" model="ir.actions.act_window">
            <field name="name">Variables Duration</field>
            <field name="res_model">variables.duration</field>
            <field name="view_mode">tree,form</field>
        </record>

    </data>
</odoo>